// DM96.cpp: implementation of the DM96 class.
//
// Copyright (c) 2000-2007 Davicom Inc.  All rights reserved.
// 
//////////////////////////////////////////////////////////////////////

#pragma warning(disable:4214 4115 4201 4127  4100 4510 4512 4610)
#include "stdafx.h"
#include "DM96.h"

//////////////////////////////////////////////////////////////////////
// Construction/Destruction
//////////////////////////////////////////////////////////////////////

DM96::~DM96()
{

}

DM96::DM96(NIC_DRIVER_OBJECT *pUpper,PVOID pVoid) : DM9USB(pUpper,pVoid)
{

}

//DWORD DM96::GetDriverChipID(void) 
//{ 
//	return DM96_01_CHIP_ID; 
//}

LPCTSTR	DM96::GetDriverVersion(void)
{
	return DM96_DRIVER_VERSION;
}

LPCTSTR	DM96::GetReleaseDate(void)
{
	return DM96_RELEASE_DATE;
}


extern "C" WORD GetUsbProductId()
{
	//#define DM96_CHIP_ID 0x96xx0A46			// ProductID VendorID
	//return ((DM96_CHIP_ID>>16) & 0xFFFF); 
	  if (g_mode_962) //mode_9620 { for-refer }
		return 0x9620;
	  else
		return 0x9601;
}

extern "C" WORD GetUsbVendorId()
{
	return (DM96_VENDOR_CHIP_ID & 0xFFFF); 
}

extern "C" WORD GetUsbReleaseNumber()
{
	return 0x0101; 
}


extern "C" void USBDriverSetting(USB_DRIVER_SETTINGS * pUsbDriverSettings)
{
	pUsbDriverSettings->dwCount				= sizeof(USB_DRIVER_SETTINGS);
	pUsbDriverSettings->dwVendorId			= GetUsbVendorId();			//0x0A46
	pUsbDriverSettings->dwProductId			= GetUsbProductId();		//0x96xx;
	pUsbDriverSettings->dwReleaseNumber		= GetUsbReleaseNumber();	//0x0101;
	pUsbDriverSettings->dwDeviceClass		= USB_NO_INFO;//USB_DEVICE_CLASS_COMMUNICATIONS;
	pUsbDriverSettings->dwDeviceSubClass	= USB_NO_INFO;
	pUsbDriverSettings->dwDeviceProtocol	= USB_NO_INFO;
	pUsbDriverSettings->dwInterfaceClass	= USB_NO_INFO;//USB_DEVICE_CLASS_COMMUNICATIONS;
	pUsbDriverSettings->dwInterfaceSubClass	= USB_NO_INFO;//0x06;	// Ethernet model
	pUsbDriverSettings->dwInterfaceProtocol	= USB_NO_INFO;//0x00;	// no class specific	
}

